Package org.apache.wiki.plugin

# Class SessionsPlugin

java.lang.Object
org.apache.wiki.plugin.SessionsPlugin

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class SessionsPlugin extends Object implements org.apache.wiki.api.plugin.Plugin

Displays information about active wiki sessions. The parameter `property` specifies what information is displayed. If omitted, the number of sessions is returned.

Parameters :

- property - specify what output to display, valid values are:

- `users` - returns a comma-separated list of users
- `distinctUsers` - will only show distinct users.

Since:
  2.3.84

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_PROP`
The parameter name for setting the property value.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`SessionsPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getDisplayName, getSnipExample`

## Field Details

### PARAM_PROP

public static final String PARAM_PROP
The parameter name for setting the property value.

See Also:
  - Constant Field Values

## Constructor Details

### SessionsPlugin

public SessionsPlugin()

## Method Details

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`